Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4MuNuclearInteraction.hh,v 1.6 2008/10/02 21:04:35 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4MuNuclearInteraction.hh,v 1.7 2009/03/04 19:09:20 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: 
@@ -66,7 +66,7 @@
   virtual ~G4MuNuclearInteraction();
 
+  void SetPhysicsTableBining(G4double lowE, G4double highE, G4int nBins);
+
   virtual G4bool IsApplicable(const G4ParticleDefinition&);
-
-  void SetPhysicsTableBining(G4double lowE, G4double highE, G4int nBins);
 
   virtual void PreparePhysicsTable(const G4ParticleDefinition& ParticleType);
@@ -76,8 +76,4 @@
   virtual void PrintInfoDefinition() ;
 
-  virtual G4double GetMeanFreePath(const G4Track& track,
-				   G4double previousStepSize,
-				   G4ForceCondition* condition ) ;
- 
   virtual G4VParticleChange *PostStepDoIt(const G4Track& track,
 					  const G4Step& Step  ) ;
@@ -85,4 +81,8 @@
 protected:
 
+  virtual G4double GetMeanFreePath(const G4Track& track,
+				   G4double previousStepSize,
+				   G4ForceCondition* condition ) ;
+ 
   virtual G4double ComputeMeanFreePath( const G4ParticleDefinition* ParticleType,
 					G4double KineticEnergy,
@@ -142,6 +142,4 @@
   G4ParametrizedHadronicVertex theHadronicVertex;
 };
-
-#include "G4MuNuclearInteraction.icc"
   
 #endif
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusInteractionModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusInteractionModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusInteractionModel.hh	(revision 1228)
@@ -53,5 +53,5 @@
 
       G4MuonNucleusInteractionModel();
-      ~G4MuonNucleusInteractionModel();
+      virtual ~G4MuonNucleusInteractionModel();
 
       void makePhysicsVector();
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuonNucleusProcess.hh	(revision 1228)
@@ -41,19 +41,9 @@
 
       G4MuonNucleusProcess(const G4String& processName ="MuonNucleus");
-      ~G4MuonNucleusProcess();
-
+      virtual ~G4MuonNucleusProcess();
 
       G4double GetMeanFreePath(const G4Track &muonTrack,
                                G4double previousStepSize,
                                G4ForceCondition *condition);
-
-      G4LeptonHadronInteractionModel *chooseInteractionModel();
-
-      G4VParticleChange *PostStepDoIt(const G4Track &muonTrack,
-                                      const G4Step &aStep)
-      { 
-        return G4LeptonHadronProcess::GeneralPostStepDoIt(muonTrack, aStep);
-      }
-
 
     private:
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4ParametrizedHadronicVertex.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4ParametrizedHadronicVertex.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4ParametrizedHadronicVertex.hh	(revision 1228)
@@ -28,32 +28,33 @@
 
 #include "globals.hh"
-#include "G4ParticleChange.hh"
+#include "G4VParticleChange.hh"
+#include "G4HEInelastic.hh"
 #include "G4Nucleus.hh"
-#include "G4ReactionProduct.hh"
-#include "G4LEPionPlusInelastic.hh"
-#include "G4LEPionMinusInelastic.hh"
-#include "G4HEPionPlusInelastic.hh"
-#include "G4HEPionMinusInelastic.hh"
 #include "G4Track.hh"
+
+class G4LEPionPlusInelastic;
+class G4LEPionMinusInelastic;
+class G4HEPionPlusInelastic;
+class G4HEPionMinusInelastic;
 
 class G4ParametrizedHadronicVertex
 {
-  public:
-   G4ParametrizedHadronicVertex()
-   {
-     theLowEPionPlus = new G4LEPionPlusInelastic;
-     theLowEPionMinus = new G4LEPionMinusInelastic;
-     theHighEPionPlus = new G4HEPionPlusInelastic;
-     theHighEPionMinus = new G4HEPionMinusInelastic;
-   }
-   G4VParticleChange * ApplyYourself(G4Nucleus & theTarget, 
-                                     const G4Track &thePhoton);
+public:
 
-  private:
-   G4LEPionPlusInelastic  *theLowEPionPlus;
-   G4LEPionMinusInelastic *theLowEPionMinus;
-   G4HEPionPlusInelastic  *theHighEPionPlus;
-   G4HEPionMinusInelastic *theHighEPionMinus;
+  G4ParametrizedHadronicVertex();
+
+  ~G4ParametrizedHadronicVertex();
+
+  G4VParticleChange * ApplyYourself(G4Nucleus & theTarget, 
+				    const G4Track &thePhoton);
+
+private:
+
+  G4LEPionPlusInelastic  *theLowEPionPlus;
+  G4LEPionMinusInelastic *theLowEPionMinus;
+  G4HEPionPlusInelastic  *theHighEPionPlus;
+  G4HEPionMinusInelastic *theHighEPionMinus;
   
+  G4VParticleChange theTotalResult;
 };
 #endif
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4LeptonHadronProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4LeptonHadronProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4LeptonHadronProcess.cc	(revision 1228)
@@ -33,5 +33,5 @@
   G4LeptonHadronProcess::G4LeptonHadronProcess( const G4String &processName )
 //-----------------------------------------------------------------------------
-    : G4VDiscreteProcess( processName )
+    : G4VDiscreteProcess( processName ), theInteractionModel(0)
   {
   }
@@ -47,6 +47,6 @@
 //-----------------------------------------------------------------------------
   G4VParticleChange* 
-  G4LeptonHadronProcess::GeneralPostStepDoIt( const G4Track &leptonTrack,
-                                              const G4Step & )
+  G4LeptonHadronProcess::PostStepDoIt( const G4Track &leptonTrack,
+				       const G4Step & )
 //-----------------------------------------------------------------------------
   {
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4MuNuclearInteraction.cc,v 1.12 2009/01/24 11:59:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4MuNuclearInteraction.cc,v 1.13 2009/03/04 19:09:20 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // $Id: 
@@ -97,4 +97,10 @@
 }
 
+
+G4bool G4MuNuclearInteraction::IsApplicable(const G4ParticleDefinition& particle)
+{
+   return(   (&particle == theMuonMinus)||(&particle == theMuonPlus)) ;
+}
+
 void G4MuNuclearInteraction::PreparePhysicsTable(
                                     const G4ParticleDefinition& aParticleType)
@@ -522,19 +528,18 @@
    G4Nucleus theTarget(aMaterial);
 
-   G4VParticleChange* aHadronicFS;
-   aHadronicFS = theHadronicVertex.ApplyYourself(theTarget, gammaTrack);
-   // delete aGamma;
+   G4VParticleChange* aHadronicFS = theHadronicVertex.ApplyYourself(theTarget, gammaTrack);
+   //delete aGamma;
 
    G4int numSecondaries = aHadronicFS->GetNumberOfSecondaries();
    aParticleChange.SetNumberOfSecondaries(numSecondaries);
 
-   G4ParticleMomentum secondaryMomentum = G4ThreeVector(0.,0.,0.);
+   //   G4ParticleMomentum secondaryMomentum = G4ThreeVector(0.,0.,0.);
    for(G4int iSec=0; iSec<numSecondaries; iSec++) 
    {
-     secondaryMomentum 
-       = secondaryMomentum + aHadronicFS->GetSecondary(iSec)->GetMomentum();
+     //secondaryMomentum 
+     //  = secondaryMomentum + aHadronicFS->GetSecondary(iSec)->GetMomentum();
      aParticleChange.AddSecondary(aHadronicFS->GetSecondary(iSec));
    }
-   aHadronicFS->Clear();
+   //aHadronicFS->Clear();
 
    return G4VDiscreteProcess::PostStepDoIt(trackData,stepData);
@@ -574,2 +579,52 @@
 }
 
+G4double G4MuNuclearInteraction::GetMeanFreePath(const G4Track& trackData,
+						 G4double,
+						 G4ForceCondition* condition)
+{
+   const G4DynamicParticle* aDynamicParticle;
+   G4Material* aMaterial;
+   G4double MeanFreePath;
+   G4bool isOutRange ;
+ 
+   *condition = NotForced ;
+
+   aDynamicParticle = trackData.GetDynamicParticle();
+   aMaterial = trackData.GetMaterial();
+
+   G4double KineticEnergy = aDynamicParticle->GetKineticEnergy();
+
+   if (KineticEnergy <  LowestKineticEnergy)
+     MeanFreePath = DBL_MAX ;
+   else {
+     if (KineticEnergy > HighestKineticEnergy) 
+                                 KineticEnergy = 0.99*HighestKineticEnergy ;
+     MeanFreePath = (*theMeanFreePathTable)(aMaterial->GetIndex())->
+                                 GetValue( KineticEnergy, isOutRange );
+   }
+   return MeanFreePath; 
+} 
+
+G4double G4MuNuclearInteraction::ComputeMeanFreePath(
+                                     const G4ParticleDefinition* ParticleType,
+				     G4double KineticEnergy,
+				     const G4Material* aMaterial)
+{
+  const G4ElementVector* theElementVector = aMaterial->GetElementVector() ;
+  const G4double* theAtomNumDensityVector = 
+                                      aMaterial->GetAtomicNumDensityVector();
+
+  G4double SIGMA = 0 ;
+
+  for ( size_t i=0 ; i < aMaterial->GetNumberOfElements() ; i++ )
+  {             
+    SIGMA += theAtomNumDensityVector[i] * 
+             ComputeMicroscopicCrossSection( ParticleType, KineticEnergy,
+                                          (*theElementVector)[i]->GetZ(),
+                                          (*theElementVector)[i]->GetA()) ;
+  }       
+
+  return SIGMA<=0.0 ? DBL_MAX : 1./SIGMA ;
+}
+
+
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MuonNucleusInteractionModel.cc,v 1.6 2006/06/29 20:57:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusProcess.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusProcess.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusProcess.cc	(revision 1228)
@@ -36,5 +36,5 @@
     : G4LeptonHadronProcess( processName)
   {
-    theInteractionModel = chooseInteractionModel();
+    theInteractionModel = new G4MuonNucleusInteractionModel;
   }
 
@@ -46,15 +46,4 @@
     delete theInteractionModel;
   }
-
-
-//-----------------------------------------------------------------------------
-  G4LeptonHadronInteractionModel*
-  G4MuonNucleusProcess::chooseInteractionModel()
-//-----------------------------------------------------------------------------
-  {
-    G4MuonNucleusInteractionModel* aModel = new G4MuonNucleusInteractionModel;
-    return aModel;
-  }
-
 
 //-----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc	(revision 1228)
@@ -25,60 +25,58 @@
 //
 //
-// $Id: G4ParametrizedHadronicVertex.cc,v 1.6 2006/06/29 20:57:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4ParametrizedHadronicVertex.cc,v 1.7 2009/03/04 19:09:20 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------
+
 #include "G4ParametrizedHadronicVertex.hh"
 #include "G4HadFinalState.hh"
-#include "G4ParticleChange.hh"
+#include "G4HadProjectile.hh"
+#include "G4LEPionPlusInelastic.hh"
+#include "G4LEPionMinusInelastic.hh"
+#include "G4HEPionPlusInelastic.hh"
+#include "G4HEPionMinusInelastic.hh"
 
-G4VParticleChange * G4ParametrizedHadronicVertex::
-ApplyYourself(G4Nucleus & theTarget, const G4Track &thePhoton)
+G4ParametrizedHadronicVertex::G4ParametrizedHadronicVertex()
+{
+  theLowEPionPlus = new G4LEPionPlusInelastic;
+  theLowEPionMinus = new G4LEPionMinusInelastic;
+  theHighEPionPlus = new G4HEPionPlusInelastic;
+  theHighEPionMinus = new G4HEPionMinusInelastic;
+}
+
+G4ParametrizedHadronicVertex::~G4ParametrizedHadronicVertex()
+{}
+
+G4VParticleChange* 
+G4ParametrizedHadronicVertex::ApplyYourself(G4Nucleus & theTarget, 
+					    const G4Track &thePhoton)
 {   
-    static G4ParticleChange theTotalResult; 
+  theTotalResult.Clear();
+  theTotalResult.Initialize(thePhoton);
 
-    theTotalResult.Clear();
-    theTotalResult.ProposeLocalEnergyDeposit(0.);
-    theTotalResult.Initialize(thePhoton);
-    theTotalResult.ProposeTrackStatus(fAlive);
-    G4double theKineticEnergy = thePhoton.GetKineticEnergy();
-    G4HadFinalState * aR = 0;
-    G4HadProjectile thePro(thePhoton);
-    if(CLHEP::RandBit::shootBit())
+  G4double theKineticEnergy = thePhoton.GetKineticEnergy();
+  G4HadFinalState * aR = 0;
+  G4HadProjectile thePro(thePhoton);
+  if(G4UniformRand() > 0.5)
     {
       if(theKineticEnergy<20*GeV) aR = theLowEPionMinus->ApplyYourself(thePro, theTarget);
       else aR = theHighEPionMinus->ApplyYourself(thePro, theTarget);
     }
-    else
+  else
     {
       if(theKineticEnergy<20*GeV) aR = theLowEPionPlus->ApplyYourself(thePro, theTarget);
       else aR = theHighEPionPlus->ApplyYourself(thePro, theTarget);
     }
-    aR->SetTrafoToLab(thePro.GetTrafoToLab());
-    if(aR->GetStatusChange()==stopAndKill)
-    {
-      theTotalResult.ProposeTrackStatus(fStopAndKill);
-      theTotalResult.ProposeEnergy( 0.0 );
-    }
-    if(aR->GetStatusChange()==suspend)
-    {
-      theTotalResult.ProposeTrackStatus(fSuspend);
-    }
-    if(aR->GetStatusChange()!=stopAndKill )
-    {
-      G4double newWeight = aR->GetWeightChange()*thePhoton.GetWeight();
-      theTotalResult.ProposeParentWeight(newWeight); 
-      if(aR->GetEnergyChange()>-.5) theTotalResult.ProposeEnergy(aR->GetEnergyChange());
-      G4LorentzVector newDirection(aR->GetMomentumChange().unit(), 1.);
-      newDirection*=aR->GetTrafoToLab();
-      theTotalResult.ProposeMomentumDirection(newDirection.vect());
-    }
+  if(!aR) return &theTotalResult;
 
-    theTotalResult.ProposeLocalEnergyDeposit(aR->GetLocalEnergyDeposit());
-    theTotalResult.SetNumberOfSecondaries(aR->GetNumberOfSecondaries());
+  aR->SetTrafoToLab(thePro.GetTrafoToLab());
 
-    G4ThreeVector it(0., 0., 1.);
-    G4double what = 2.*pi*G4UniformRand();
-    for(G4int i=0; i<aR->GetNumberOfSecondaries(); i++)
+  G4int nsec = aR->GetNumberOfSecondaries();
+  theTotalResult.SetNumberOfSecondaries(nsec);
+
+  G4ThreeVector it(0., 0., 1.);
+  G4double what = twopi*G4UniformRand();
+  for(G4int i=0; i<nsec; i++)
     {
       G4LorentzVector theM = aR->GetSecondary(i)->GetParticle()->Get4Momentum();
Index: trunk/source/processes/hadronic/models/pre_equilibrium/History
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/History	(revision 1228)
@@ -14,4 +14,8 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+21-November 2009 V.Ivanchenko   hadr-pre-V09-02-07
+---------------------------------------------------
+G4PreCompoundTransitions - return back transition probability
 
 19-November 2009 V.Ivanchenko   hadr-pre-V09-02-06
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LowEIonFragmentation.hh,v 1.3 2006/06/29 20:58:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by H.P. Wellisch
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundEmission.hh,v 1.7 2009/11/12 14:33:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundEmission.icc,v 1.5 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.hh,v 1.6 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.icc,v 1.4 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundModel.hh,v 1.7 2009/11/19 10:19:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundParameters.hh,v 1.5 2008/05/08 10:34:25 quesada Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundTransitions.hh,v 1.6 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundFragment.hh,v 1.10 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundFragment.icc,v 1.7 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundIon.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundIon.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundIon.hh	(revision 1228)
@@ -27,5 +27,5 @@
 
 // $Id: G4VPreCompoundIon.hh,v 1.9 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundNucleon.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundNucleon.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundNucleon.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundNucleon.hh,v 1.8 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundAlpha.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundDeuteron.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundEmission.cc,v 1.22 2009/11/13 17:40:14 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragment.cc,v 1.8 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.cc,v 1.11 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundHe3.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundIon.cc,v 1.16 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundModel.cc,v 1.18 2009/11/19 10:19:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNeutron.cc,v 1.4 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNucleon.cc,v 1.13 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundParameters.cc,v 1.3 2006/06/29 20:59:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by V. Lara
